Bug 1012057 - [eap6]: Cannot create new deployment scanner
[eap6]: Cannot create new deployment scanner
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ---
: JON 3.3.0
Assigned To: Libor Zoubek
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2013-09-25 11:46 EDT by Jan Stefl
Modified: 2015-11-01 19:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-30 10:16:54 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Stefl 2013-09-25 11:46:38 EDT
Agent -> JBoss EAP Standalone Server ->  (my instance) -> deployment scanner -> resource configuration (right click) -> + :
name = deployDir2
path = deployDir2
relativeTo = jboss.server.base.dir
 -> Ok -> Save -> Refresh

New scanner is not saved (doesn't exists in JON nor EAP instance).

The issue was discovered on Windows, jdk17 but it is possible that is more general.
Comment 1 Jan Stefl 2013-09-26 04:41:16 EDT
I found out, that directory (deployDir2) has to be created manually.

 - JON should notice me that operation was not successful.
Comment 2 Jan Stefl 2013-10-04 09:48:50 EDT
Ok, we can postpone this to JON 3.3.0.
Comment 3 Jan Stefl 2013-10-04 09:51:42 EDT
Why do you think this is an enhancement.
EAP informs you that directory does not exist, I think JON should create missing directory based on EAP response.
Comment 4 Libor Zoubek 2014-07-08 11:49:41 EDT
I think this could be closed as NOTABUG. when configuration update fails in JON, user can find out by looking at configuration update history. I don't think JON should create missing directory and workaround fact, that EAP is not able to create directory itself.
Comment 5 Radim Hatlapatka 2014-07-30 10:16:54 EDT
Libor, I agree with you, closing as NOTABUG.

Discussed also with Honza (jstefl), who agrees, He just didn't notice the failure message in configuration history.

Note You need to log in before you can comment on or make changes to this bug.